# H8 300: COFF FILE Format

Assembler code

```
.text:00000164                 beq     _L6:8
.text:00000166                 mov.w   @(var_6:16,r6), r0
.text:0000016A                 mov.w   @(var_4:16,r6), r1
.text:0000016E                 mov.w   r3, @(var_2:16,r6)
.text:00000172                 jsr     ___negsf2:16
.text:00000176                 mov.w   r0, @(var_6:16,r6)
.text:0000017A                 mov.w   r1, @(var_4:16,r6)
.text:0000017E                 mov.w   @(var_2:16,r6), r3
.text:00000182
.text:00000182 _L6:                                    ; CODE XREF: ___adjust+64↑j
.text:00000182                 mov.w   r3, r3
.text:00000184                 bne     _L7:8
.text:00000186                 mov.w   @(var_6:16,r6), r0
.text:0000018A                 mov.w   @(var_4:16,r6), r1
.text:0000018E                 bra     _L11:8
.text:00000190 ; ---------------------------------------------------------------------------
.text:00000190
.text:00000190 _L7:                                    ; CODE XREF: ___adjust+84↑j
.text:00000190                 mov.w   r3, r3
.text:00000192                 bge     _L8:8
.text:00000194                 mov.w   r3, r0
.text:00000196                 not.b   r0l
.text:00000198                 not.b   r0h
.text:0000019A                 adds    #1, r0
.text:0000019C                 jsr     ___exp10:16
.text:000001A0                 push.w  r1
.text:000001A2                 push.w  r0
.text:000001A4                 mov.w   @(var_6:16,r6), r0
.text:000001A8                 mov.w   @(var_4:16,r6), r1
.text:000001AC                 jsr     ___divsf3:16
.text:000001B0                 bra     _L12:8
.text:000001B2 ; ---------------------------------------------------------------------------
.text:000001B2
.text:000001B2 _L8:                                    ; CODE XREF: ___adjust+92↑j
.text:000001B2                 mov.w   r3, r0
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/disassembler/disassembly-gallery/h8-300-coff-file-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
